Subject: Re: [PATCH net-next V6 1/6] icmp: add support for RFC 8335 PROBE

From: Florian Weimer <[email-masked]>
Date: Wed, 02 Jun 2021 20:51:43 +0200

* Andreas Roeseler:

> Are <netinet/in.h> and <linux/in.h> the only conflicting files?
> <linux/in.h> is only included to gain use of the in_addr struct, but
> that can be easily substituted out of the code in favor of __be32.
> Therefore we would no longer need to include <linux/in.h> and would
> remove the conflict.

I'm not 100% sure, but it looks this way.  I can include <netinet/in.h>
and both <linux/in6.h> and <linux/if.h> in the same translation unit.

Thanks,
Florian